unit LookupForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, Grids, DBGrids, StdCtrls, ExtCtrls, Db;

type
  TfrmLookupForm = class(TForm)
    Panel1: TPanel;
    Edit1: TEdit;
    DBGrid1: TDBGrid;
    Panel2: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    DataSource1: TDataSource;
    procedure Edit1Change(Sender: TObject);
    procedure DBGrid1TitleClick(Column: TColumn);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
    ActiveColumn:Integer;
  public
    { Public declarations }
  end;

var
  frmLookupForm: TfrmLookupForm;

implementation


{$R *.DFM}

procedure TfrmLookupForm.Edit1Change(Sender: TObject);
begin
  DataSource1.DataSet.Locate(DataSource1.DataSet.Fields[ActiveColumn].FieldName,
    Edit1.Text,[loPartialKey,loCaseInsensitive]);
end;

procedure TfrmLookupForm.DBGrid1TitleClick(Column: TColumn);
begin
  ActiveColumn:=Column.Index;
end;

procedure TfrmLookupForm.FormActivate(Sender: TObject);
begin
   ActiveColumn:=0;
end;

end.
 